require 'spec_helper'

module Roqua
  module CoreApi
    module Models
      describe Dossier do
        let(:valid_dossier) { Dossier.new }

        describe '#new' do
          subject { Dossier.new external_identifier: 'ext_id' }
          it 'accepts a hash of attributes' do
            expect(subject.external_identifier).to eq 'ext_id'
          end
        end

        describe '#assign_attributes' do
          subject { Dossier.new external_identifier: 'ext_id' }
          it 'allows assigning of attributes' do
            subject.assign_attributes(external_identifier: 'external_identifier')
            expect(subject.external_identifier).to eq 'external_identifier'
          end
        end
      end
    end
  end
end
